# frozen_string_literal: true

module Hermes
  module Api
    module Dmo
      # checker Api::Dmo::HermesController avant d'ajouter des methodes
      class LessorObjectiveHistoriesController < Hermes::Api::Dmo::ApplicationController
        set_instance_for :objectives
        before_action :not_allowed, only: [:create, :update, :destroy]

        VALID_OPERATORS = %w[
          $in
          $nin
          $ne
          $gt
          $gte
          $lt
          $lte
          $eq
          $regex
          $all
        ]

        ACCEPTABLE_PARAMS = %w[
             housing_offer_id
          lessor_id
          lessor_objective_id
        ]

        REGEX_PARAMS = %w[
       
        ]
        
        MUTATE_PARAMS = %i[
  
        ]

        def mutate_params
          MUTATE_PARAMS
        end 

        def index
          acceptable_params *ACCEPTABLE_PARAMS
          regex_params *REGEX_PARAMS
          valid_operators *VALID_OPERATORS
          super
        end
        
        def not_allowed
          return render_json_error(:unprocessable_entity, :not_allowed)
        end
  
      end
    end
  end
end
