# frozen_string_literal: true

module Hermes
  class HousingRequestEntityFormSerializer < Hermes::ApplicationSerializer
    type 'housing_request_entity_forms'

    attributes %i[
      entity_id
      housing_request_id
      applicant_id
      consent_fields
      level
      delegation
      delegation_signed
      entity_form_level_id
      entity_form_level
      created_at
      updated_at
    ]
  end


  def entity_form_level
    return unless object.entity_form_level

    Hermes::HousingRequestEntityFormLevelSerializer.new(object.entity_form_level)
  end
end
